# empty-debuginfo-package
%define debug_package %{nil}

%define ver_fpgui 1.2

Summary: fpGUI's Visual User Interface Designer
Name: uidesigner
Version: %{ver_fpgui}
Release: %mkrel 3
License: LGPLv2 with static linking exception
Group: Development/Tools
Url: http://fpgui.sourceforge.net
Source0: http://downloads.sourceforge.net/fpgui/fpgui_source-%{ver_fpgui}.tar.gz
# https://sourceforge.net/p/fpgui/patches/51
Source1: fpgui.ru.po
# https://sourceforge.net/p/fpgui/patches/51
Patch0: %{name}-%{ver_fpgui}-mga-resourcestrings.patch
# https://sourceforge.net/p/fpgui/patches/50
Patch1: %{name}-%{ver_fpgui}-mga-selected-form-name.patch
Requires: fpgui
BuildRequires: fpgui

%description
fpGUI's Visual User Interface Designer. It is lightweight, fast
and very flexible. Unlike most visual form designers in the Pascal
world, visual form designer generates real source code inside the
*.pas units. No extra *.dfm, *.lfm etc files to keep track off.

%prep
%setup -q -n fpgui-%{ver_fpgui}
%patch0 -p1
%patch1 -p1
# fix for http://sourceforge.net/p/fpgui/bugs/12 (workaround)
cd %{name}
sed -i -e "s|Ind(1) + 'SysUtils, Classes, fpg_base, fpg_main, fpg_form;' + LineEnding + LineEnding +|Ind(1) + 'SysUtils, Classes, fpg_base, fpg_main, fpg_form, fpg_label, fpg_edit, fpg_memo, fpg_button, fpg_checkbox,' + LineEnding +\n    Ind(1) + 'fpg_radiobutton, fpg_combobox, fpg_popupcalendar, fpg_listbox, fpg_grid, fpg_panel, fpg_progressbar, fpg_trackbar,' + LineEnding +\n    Ind(1) + 'fpg_listview, fpg_tree, fpg_tab, fpg_gauge, fpg_editbtn, fpg_colorwheel, fpg_splitter, fpg_hyperlink;' + LineEnding + LineEnding +|g" ./vfdfile.pas

%build
cd %{name}
cp -f %{SOURCE1} ../languages
fpc -Xs -XX -CX ./%{name}.lpr

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -f languages/fpgui.*.po %{buildroot}%{_datadir}/%{name}/
cp -f ./%{name}/%{name} %{buildroot}%{_datadir}/%{name}/
install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=fpGUI UI Designer
Name[ru]=Дизайнер интерфейса для fpGUI
GenericName=Designer forms for fpGUI
GenericName[ru]=Дизайнер форм для fpGUI
Comment=fpGUI's Visual User Interface Designer
Comment[ru]=Визуальный дизайнер интерфейса пользователя для fpGUI
Type=Application
Exec=%{name}
Icon=%{name}
Terminal=false
Categories=IDE;Development;
EOF

install -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/
cp -f ./%{name}/icon_32.png ./%{name}/%{name}.png
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 0644 ./%{name}/%{name}.png %{buildroot}%{_datadir}/pixmaps/
%__ln_s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc %{name}/readme.txt AUTHORS.txt CHANGELOG.txt COPYING.modifiedLGPL COPYING.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.2-3.mga6
+ Revision: 950831
- Mageia 6 Mass Rebuild

* Sun Nov 23 2014 alexl <alexl> 1.2-2.mga5
+ Revision: 798502
- changed GenericName

* Sat Oct 18 2014 alexl <alexl> 1.2-1.mga5
+ Revision: 783742
- finished creating resourcestrings (resourcestrings.patch)
- fixed selected form name (selected-form-name.patch)
- updated Russian translation (fpgui.ru.po) and deleted deprecated local_ru.sh
- added GenericName in desktop file
- version 1.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 739681
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 690030
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 1.0-1.mga5
+ Revision: 614165
- imported package uidesigner

